Create a knowledge store item

Adds a video to a knowledge store for processing. This operation is asynchronous — the item is created immediately with queued status and processed in the background.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

knowledge_store_idstringRequired
The unique identifier of the knowledge store.

Request

This endpoint expects an object.
asset_idstringRequired
The unique identifier of the video asset to add to the knowledge store.
metadatamap from strings to stringsOptional

Key-value pairs to attach to the item.

Response

The item creation request has been accepted and is processing.
_idstring
The unique identifier of the knowledge store item.
asset_idstring
The unique identifier of the source video asset.
statusenumRead-only

The processing status of the item. The following options are available:

  • queued: The item has been submitted and is waiting to be processed.
  • pending: The item has been dispatched and is waiting for available processing capacity.
  • processing: The item is currently being processed.
  • ready: The item has been successfully processed.
  • failed: The item processing has failed.
Allowed values:
metadatamap from strings to strings

Key-value pairs attached to the item.

created_atstringformat: "date-time"
The date and time when the item was created, in the RFC 3339 format.
updated_atstringformat: "date-time"
The date and time when the item was last updated, in the RFC 3339 format.

Errors

400
Bad Request Error